# Command: regex_find_r

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    regex_find_r - Check if a regex is included in a string

Synopsis:

    regex  string  -> boolean

Examples:

    (hello) regexdict /REG_ICASE get regcomp pop
      (is there a HeLlO hiding)	 regex_find -> true

Description:

    Takes the first argument and calls regexec to find out if
      this regex matches the string. Reports success/failure in a
      boolean true/false.

Parameters:

    in: first argument  : a regex generated by regcomp
      second argument : a string where this
      regex should be matched.
      out: true/false telling if there is/is no match.

Bugs:

    -

Diagnostics:

    no errors raised

Remarks:

    Does _not_ return any information about the matched
      expression more than matched/not matched; use lower
      level commands regcomp, regexec if in need!

Author:

    Hehl

FirstVersion:

    1.10.99

SeeAlso:

- regexec
- regcomp
- regex_replace

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/lib/sli/regexp.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative